function ScanStrip(allowedType,minLength,maxLength,originalLength,matchOffset,matchText,stripOffset,startPosition,numCharsToStrip) {
//First we need to convert any parameters that allow hex codes from the macro style hex to the javascript style notation.
        //TODO: Add hex conversions here


        //Let's create a function to process the scan
        function onScan(event)
        {
            //Some scan handlers use the original length of the scan, since this data is not part of the event we are adding it but only if it has not already been recorded. 
            if( typeof event.origLength === "undefined" ) {
                event.origLength = event.data.length;
            }

            //Make sure the scan meets the length and symbology requirements. Otherwise return
            if( !scanMeetsRequirements( event ) ) return;

            //TODO: Add scan handling code here
            //View Symbology Type
             
            //Perform scan strip from the start of the barcode.
            if (startPosition === "Start")
            {
                //If these offsets do not fit inside the length of the barcode scanned.
                if (stripOffset > event.data.length || numCharsToStrip > event.data.length || ((stripOffset + numCharsToStrip) > event.data.length))
                {
                    return;
                }
                //This is where we modify the scan data for Start Strip.
                event.data = event.data.substring(0,stripOffset) + event.data.substring(stripOffset + numCharsToStrip, event.data.length)
            }

            if (startPosition === "End")
            {
                //If these offsets do not fit inside the length of the barcode scanned.
                if (stripOffset > event.data.length || numCharsToStrip > event.data.length || ((stripOffset + numCharsToStrip) > event.data.length))
                {
                    return;
                }
                //This is where we modify the scan data for End Strip.      
                event.data = event.data.substring(0,(event.data.length - numCharsToStrip - stripOffset)) + event.data.substring(event.data.length - stripOffset,event.data.length);
            }
        }

        function scanMeetsRequirements( event )
        {
            //Make sure we meet the min and max length requirement. We do allow maxLength to be 0 which means no max length
            if( !originalLength && (event.data.length < minLength || (maxLength != 0 && event.data.length > maxLength) ) )
                return false;

            if( originalLength && (event.origLength < minLength || (maxLength != 0 && event.origLength > maxLength) ) )
                return false;

            //Sometimes the scanner sends through a symbology with an "_" or spaces on the end. Lets make sure we fix this.
            var type = event.type.replace("_", "").replace(" ", "");

            //Verify the symbology if it is not "ALL" and does not match then we need to return
            if( allowedType !== "ALL" && allowedType !== type )
                return false;

            //Verify if match text is found at the defined offset.
            if((matchText !== "") && (event.data.substring(matchOffset, (matchOffset + matchText.length)) != matchText))
            {
                return;
            }

            return true;
        }
        function convertHexNotation( s )
        {
            while( s.match(/{hex:([^}]*)}/i) !== null )
            {
                var hex = s.match(/{hex:([^}]*)}/i)[1];
                if( hex.length > 2) hex =  hex[hex.length-2] + hex[hex.length-1];
                    hex = "0x" + hex;   
    
                s = s.replace(/{hex:([^}]*)}/i, String.fromCharCode(parseInt(hex))  );
            }
            return s;
        }

        //Register the onScan function to be called when a scan occurs. Without this it will never run.
        WLEvent.on("Scan", onScan);
      
}
WLEvent.registerScope("session",ScanStrip,null,["CODE128",10,10,true,0," 000",0,"Start",4]);
function oversizedScanning(oversizedHandling) {

WLEvent.on("Connect", function(event) {
    Settings.set("oversizedScanning", oversizedHandling);
});
      
}
WLEvent.registerScope("session",oversizedScanning,null,["2"]);
